/**
 * High-, page-level styling.
 *
 * 1. Set the default `font-size` and `line-height` for the entire project,
 *    sourced from our default variables. The `font-size` is calculated to exist
 *    in ems, the `line-height` is calculated to exist unitlessly.
 * 2. Force scrollbars to always be visible to prevent awkward ‘jumps’ when
 *    navigating between pages that do/do not have enough content to produce
 *    scrollbars naturally.
 * 3. Ensure the page always fills at least the entire height of the viewport.
 * 4. Prevent certain mobile browsers from automatically zooming fonts.
 * 5. Fonts on OSX will look more consistent with other systems that do not
 *    render text using sub-pixel anti-aliasing.
 * 6. Set default font family to sans-serif.
 * 7. Prevent iOS text size adjust after orientation change, without disabling
 *    user zoom.
 */
 
html {
    color:                      $color-text-base;
    overflow-y:                 scroll; /* [2] */
    min-height:                 100%; /* [3] */
    -webkit-text-size-adjust:   100%; /* [4] */
        -ms-text-size-adjust:   100%; /* [4] */
    -moz-osx-font-smoothing:    grayscale; /* [5] */
        -webkit-font-smoothing: antialiased; /* [5] */
    font-family:                $base-font-family; /* 6 */
    -ms-text-size-adjust:       100%; /* 7 */
    -webkit-text-size-adjust:   100%; /* 7 */
    @media print {
        background-color:       $color-white;
    }
}



/**
 * Set the global `box-sizing` state to `border-box`.
 *
 * css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice
 * paulirish.com/2012/box-sizing-border-box-ftw
 */
html#{$namespace},
#{$namespace}html {
    box-sizing: border-box;
}
#{$namespace}* {
    &,
    &:before,
    &:after {
        box-sizing: inherit;
    }
    @media print {
        page-break-inside: always;
    }
}


